function makeChatOptions(game,opponent)
{
    var opts = game.add.graphics(400,150);
    
    opts.picture = opts.addChild(game.add.sprite(0,0,out.color));
    opts.picture.scale.setTo(0.5);
    opts.name = opts.addChild(lineHandler(game,opts,out.name,'fabrica-white',0));
    opts.name.x = 180;
    opts.name.fontSize = 40;
    opts.status = opts.addChild(lineHandler(game,opts,out.status,'fabrica-white',90));
    opts.status.x = 190;
    opts.status.fontSize = 28;
    opts.status.maxWidth = 260;
    
    opts.likes = opts.addChild(makeChatButton(game,'Likes',30,250,20));
    opts.likesOptions = opts.addChild(makeDropDown(game, ['piercing?','bludgeoning?','fire magic?'], 30, 310));
    opts.about = opts.addChild(makeChatButton(game,'About',175, 250, 20));
    opts.aboutOptions = opts.addChild(makeDropDown(game, ['a/s/l?','fighting style?','favorite music?'], 175, 310));
    opts.closers = opts.addChild(makeChatButton(game,'Finishers',330, 250, 10));
    opts.closersOptions = opts.addChild(makeDropDown(game, ['meet up?','see ya'], 330, 310));
    
    opts.closeAll = function() { 
        this.likesOptions.visible = false; 
        this.aboutOptions.visible = false; 
        this.closersOptions.visible = false; 
    }
    
    opts.likes.button.onInputDown.add(function() {
        if (this.likesOptions.visible) {
            this.likesOptions.visible = false;
        } else {
        this.closeAll(); 
        this.likesOptions.visible = true; }
    }, opts );
    opts.about.button.onInputDown.add(function() {
        if (this.aboutOptions.visible) {
            this.aboutOptions.visible = false;
        } else {
        this.closeAll(); 
        this.aboutOptions.visible = true; }
    }, opts );
    opts.closers.button.onInputDown.add(function() {
        if (this.closersOptions.visible) {
            this.closersOptions.visible = false;
        } else {
        this.closeAll(); 
        this.closersOptions.visible = true; }
    }, opts );
    return opts;
}

function makeChatButton(game, text, x, y, border)
{
    var o = game.add.bitmapText(x,y,'fabrica-white',text,30);
    o.button = o.addChild(game.add.button(0,0,null));
    o.button.width = o.width + border;
    o.button.height = o.height;
    if (border) {
        o.gfx = o.addChild(game.add.graphics());
        o.gfx.lineStyle(4,0xffffff,0.8);
        o.gfx.endFill();
        var bufferX = 15;
        var bufferY = 6;
        o.gfx.drawRoundedRect(-bufferX,-bufferY,o.width+bufferX*2+border,o.height+bufferY*2,bufferY*2);
    }
    return o;
}

function makeDropDown(game, textList, x, y)
{
    var o = game.add.graphics(x,y);
    var i = 0;
    var w = 0;
    while (i < textList.length)
    {
        var tmp = o.addChild(makeChatButton(game,textList[i], 5, i*60+10, false));
        tmp.button.onInputDown.add(function() {
            this.game.state.getCurrentState().showChat(this.text)
        }, tmp);
        w = Math.max(w,tmp.width);
        i++;
    }
    o.endFill();
    o.lineStyle(4,0xffffff,0.8);
    o.drawRoundedRect(-15,-10, w+30, i*60+10, 20);
    o.visible = false;
    return o;
}