function makeCheckBoxList(game,items)
{
    var checkboxes = game.add.group();
    var i = 0;
    while (i < items.length)
    {
        var c = checkboxes.addChild(makeCheckBox(game,items[i],60,i*30));
        c.index = i;
        c.alpha = 1.0;
        i++;
    }
    
    checkboxes.selected = undefined;
    checkboxes.select = function(index) {
        if (this.selected != undefined) {
            this.getChildAt(this.selected).onClick();
        }
        this.selected = index;
    }
    
    checkboxes.hasSelection = function() {
        return this.selected != undefined;
    }
    
    checkboxes.getSelection = function() {
        return this.children[this.selected].text.text;
    }
    
    return checkboxes;
}

function makeCheckBox(game,infoString, x, y)
{
    var box = game.add.graphics(0,y);
    box.text = box.addChild(game.add.bitmapText(x,0, 'pencilPete',infoString,30));
    
    box.check = check;
    box.unCheck = unCheck;
    box.onClick = onClick;
    
    box.unCheck();
    
    box.button = box.addChild(game.add.button(0,0,null,box.onClick,box));
    box.button.width = 30;
    box.button.height = 30;
    
    box.alpha = 0.0;
    
    return box;
}

function onClick() 
{
    if (this.checked) {
        this.unCheck();
    } else {
        this.check();
        this.parent.select(this.index);
    }
}

function check()
{
    this.checked = true;
    this.lineStyle(2,0x010101,1);
    this.moveTo(10,10);
    this.lineTo(22,22);
    this.moveTo(22,10);
    this.lineTo(10,22);
}

function unCheck()
{
    this.checked = false;
    this.clear();
    this.endFill();
    this.lineStyle(1,0x333333,1);
    this.drawRect(4,4,24,24);
}