function makeNewOpponentData(game)
{
    out = game.add.group();
    out.gender = getRandomGender();
    out.name = getRandomName(out.gender);
    out.status = getRandomStatus(out.gender);
    out.color = 'slime-'+getRandomFromList(['green','red','blue','silver']);
    out.patience = 4;
    out.askedQuestions = [];
    
    buildWeaknesses(out);
    
    out.homeland = getRandomFromList(['the ice cave','the plains of Nog','the far mountains']);
    
    out.attack = getRandomFromList(['mind','magic','fight']);
    
    out.music = getRandomFromList(['dub-step','prog rock','pop rock','classical','bluegrass','metal']);
    
    out.getResponse = function(q)
    {
        if (this.askedQuestions.indexOf(q) != -1) {
            return "lol u alredy asked taht silly!!!";
        }
        if (this.patience <= this.askedQuestions.length) {
            return "let's talk about something else...";
        } else {
            this.askedQuestions.push(q);
            return this.getAnswer(q);
        }
    }
    
    out.getAnswer = getAnswer;
    
    return out;
}

function buildWeaknesses(enemy)
{
    enemy.piercing = Math.floor(Math.random()*3) - 1;
    enemy.bludgeoning = Math.floor(Math.random()*3)-1;
    enemy.fire = - (enemy.piercing + enemy.bludgeoning);
    if (enemy.fire > 1) {
        enemy.fire = 1;
    } else if (enemy.fire < -1) {
        enemy.fire = -1;
    } else {
        enemy.fire = Math.floor(Math.random()*3)-1;
    }
}

function getAnswer(q)
{
    switch (q) {
        case 'piercing?':
            return getWeaknessResponse(this.piercing);
        case 'bludgeoning?':
            return getWeaknessResponse(this.bludgeoning);
        case 'fire magic?':
            return getWeaknessResponse(this.fire);
        case 'a/s/l?':
            return getLocationResponse(this.homeland);
        case 'fighting style?':
            return getFightingResponse(this.attack);
        case 'favorite music?':
            return getMusicResponse(this.music);
        default:
            console.log('broke dat');
    }
}

function getWeaknessResponse(value)
{
    if (value == -1) {
        return getRandomFromList(['ehh... not relly in 2 taht.','gross...','uhh, not cool. creep', 'wuts wrong wit u???', 'omg u can\'t just ask taht stuff...']);
    } else if (value == 1) {
        return getRandomFromList(['oh yeh bby u no wut i like', 'hellllllz yahh!!! lolol', 'u no it!!1', 'yeh totally! wut abt u?']);
    } else {
        return getRandomFromList(['umm.. i duno.','huh? i don\'t understand','eh.']);
    }
}

function getLocationResponse(loc)
{
    return getRandomFromList([
        'i\'m not from around here but i luv '+loc+' <3 <3',
        'i grew up in '+loc,
        'i mostly chill @ '+loc,
        'i liek 2 hit up teh mall at '+loc
        ]);
}

function getFightingResponse(typ)
{
    if (typ == 'mind') {
        return getRandomFromList(['i like talkin dirty', 'i want 2 get in ur hed', 'oh bby i dig teh mind games']);
    } else if (typ == 'magic') {
        return getRandomFromList(['lets just say i have a magic missile 4 u ;) <3']);
    } else {
        return getRandomFromList(['ive got a blunt wepn of my own 2 show u']);
    }
}

function getMusicResponse(mus)
{
    return getRandomFromList([
        'omg i\'m ttly in2 '+mus+' right now!!!!'
        ]);
}