function makeSwipeable(game,name)
{
    var s = game.add.sprite(160,330,name);
    s.anchor.setTo(0.5,1.0);
    s.scale.setTo(0.5);
    
    s.flee = s.addChild(game.add.graphics());
    s.flee.endFill();
    s.flee.lineStyle(20,0xCC0000,1);
    s.flee.drawRoundedRect(-150,-450,300,425);
    s.flee.addChild(game.add.bitmapText(-75,-450, 'fabrica-red','flee',72));
    s.flee.alpha = 0;

    s.hunt = s.addChild(game.add.graphics());
    s.hunt.endFill();
    s.hunt.lineStyle(20,0x00CC00,1);
    s.hunt.drawRoundedRect(-150,-450,300,425);
    s.hunt.addChild(game.add.bitmapText(-75,-450, 'fabrica-green','hunt',72));
    s.hunt.alpha = 0;
    
    s.angleRot = 45;
    s.shiftX = 0;
    
    s.setPosition = function(x) {
        this.x = x + 160;
        this.shiftX = (this.x - 160) / 160;
        this.setProps();
    }
    
    s.setProps = function() {
        this.rotation = toRad(this.shiftX * this.angleRot);
        s.hunt.alpha = 0;
        s.flee.alpha = 0;
        if (this.shiftX < 0) {
            s.flee.alpha = Math.abs(this.shiftX*2);
        } else if (this.shiftX > 0) {
            s.hunt.alpha = Math.abs(this.shiftX*2);
        }
    }
    
    s.setPosition(0);
    
    return s;
}

function toRad(a) {
    return (a/180) * Math.PI;
}