TindRPG.GamePlay = function (game) {
    
};

TindRPG.GamePlay.prototype = {

    create: function () {
        
        this.phone = this.world.add(this.game.data['phone']);
        this.phone.getNewOpponent();
        this.diary = this.world.add(this.game.data['diary']);
        this.battleText = this.game.add.group();
        this.battleText.x = 20;

    },

    update: function () {
        
        this.phone.opponent.update();
        this.phone.update();
        
    },

    quitGame: function (pointer) {
        
        this.state.start('MainMenu');

    },
    
    doMatch: function() 
    {
        var dur = 1500;
        var del = 500;
        this.phone.startx = this.phone.x;
        this.game.add.tween(this.phone).to({x: 100}, dur, Phaser.Easing.Quadratic.Out).delay(del).start();
        this.diary.startx = this.diary.x;
        this.game.add.tween(this.diary).to({x: -600}, dur, Phaser.Easing.Quadratic.Out).delay(del).start();
    },
    
    showChat: function(txt)
    {
        this.phone.showChat(txt);
    },
    
    doBattle: function()
    {
        var dur = 1500;
        var del = 500;
        this.game.add.tween(this.phone).to({x: this.phone.startx}, dur, Phaser.Easing.Quadratic.Out).delay(del).start();
        this.game.add.tween(this.diary).to({x: this.diary.startx}, dur, Phaser.Easing.Quadratic.Out).delay(del).start();
        this.game.time.events.add(del+dur,this.buildBattleScenario,this);
    },
    
    runTinder: function()
    {
        var dur = 1500;
        var del = 500;
        this.game.add.tween(this.phone).to({x: this.phone.startx}, dur, Phaser.Easing.Quadratic.Out).delay(del).start();
        this.game.add.tween(this.diary).to({x: this.diary.startx}, dur, Phaser.Easing.Quadratic.Out).delay(del).start();
    },
    
    buildBattleScenario: function()
    {
        this.diary.destroy();
        this.battleText.destroy(true,true);
        this.diary = makeDiary(this.game);
//        this.diary.activeText.destroy(true,true);
        this.diary.activeText = this.diary.addChild(this.battleText);
        
        lineHandler(this.game,this.battleText,"Dear diary,","pencilPete",60);
        lineHandler(this.game,this.battleText,"I will go on a date with "+this.phone.opponent.name+".","pencilPete",90);
        lineHandler(this.game,this.battleText,'In case we have an encounter, I will bring','pencilPete',150);
        this.playerWeapon = this.battleText.addChild(makeCheckBoxList(this.game,['my spear', 'my sword', 'my scroll of fireball']));
        this.playerWeapon.y = 180;
        
        lineHandler(this.game,this.battleText,"For protection, I will bring my",'pencilPete',300);
        this.playerDefense = this.battleText.addChild(makeCheckBoxList(this.game,['brooch of will defense', 'cloak of resistance', 'shield']));
        this.playerDefense.y = 330;
        
        lineHandler(this.game,this.diary.activeText,"We will meet up at",'pencilPete',450);
        this.playerLocation = this.battleText.addChild(makeCheckBoxList(this.game,['the ice cave','the plains of Nog','the distant mountains']));
        this.playerLocation.y = 480;
        lineHandler(this.game,this.battleText,'                         Yours,','pencilPete',600); 
        
        var sig = this.battleText.addChild(getSignatureField(this.game,this.nextState));
        sig.x = 280;
        sig.y = 630;
        
        textSequence(this.game,this.battleText.children,3000); 
        
    },
    
    resolveBattleScenario: function()
    {
        var place = this.playerLocation.getSelection();
        this.diary.destroy();
        this.diary = makeDiary(this.game);
        
        lineHandler(this.game,this.diary,"Dear diary,","pencilPete",60);
        lineHandler(this.game,this.diary,"I had a date with "+this.phone.opponent.name+".","pencilPete",120);
        lineHandler(this.game,this.diary,'We went out for '+randomCuisine()+' in the '+place+'.','pencilPete',180);
        
        lineHandler(this.game,this.diary,"Afterward, we "+randomActivity(),'pencilPete',300);
        
        lineHandler(this.game,this.diary,"Finally, we closed the evening with a really "+randomDescriptor()+" encounter. I dont expect to go out with "+this.phone.opponent.name+" again.",'pencilPete',390);
        
        textSequence(this.game,this.diary.children,3000); 
        this.phone.getNewOpponent();
        
    },
    
    nextState: function()
    {
        if (!this.playerWeapon.hasSelection() || !this.playerDefense.hasSelection() || !this.playerLocation.hasSelection()) {
            return;
        }
        this.resolveBattleScenario();
    }
};

function randomDescriptor() {
    return getRandomFromList(['horrible','okay','awkward','terrible', 'bad', 'scary', 'weird', 'uncomfortable']);
}

function randomCuisine() {
    return getRandomFromList(['ice cream', 'ramen', 'chinese', 'sushi','cotton candy', 'indian']);
}

function randomActivity() {
    return getRandomFromList([' sat around and talked about life.',' went to the park and made out.', ' went to a skating rink.', ' both hid in different bathrooms crying.', ' stared deeply in to each others eyes..', ' tried to go somewhere, but my car broke down.']);
}