TindRPG.GameStart = function (game) {
    
    {
    this.game;      //  a reference to the currently running game (Phaser.Game)
    this.add;       //  used to add sprites, text, groups, etc (Phaser.GameObjectFactory)
    this.camera;    //  a reference to the game camera (Phaser.Camera)
    this.cache;     //  the game cache (Phaser.Cache)
    this.input;     //  the global input manager. You can access this.input.keyboard, this.input.mouse, as well from it. (Phaser.Input)
    this.load;      //  for preloading assets (Phaser.Loader)
    this.math;      //  lots of useful common math operations (Phaser.Math)
    this.sound;     //  the sound manager - add a sound, play one, set-up markers, etc (Phaser.SoundManager)
    this.stage;     //  the game stage (Phaser.Stage)
    this.time;      //  the clock (Phaser.Time)
    this.tweens;    //  the tween manager (Phaser.TweenManager)
    this.state;     //  the state manager (Phaser.StateManager)
    this.world;     //  the game world (Phaser.World)
    this.particles; //  the particle manager (Phaser.Particles)
    this.physics;   //  the physics manager (Phaser.Physics)
    this.rnd;       //  the repeatable random number generator (Phaser.RandomDataGenerator)
    } // reserved keyword list

};

TindRPG.GameStart.prototype = {

    create: function () {

        this.diary = makeDiary(this.game);
        
        this.phone = makePhone(this.game);
        
        this.introText = textHandler(this.game, getIntroText(),'pencilPete')
        this.introText.x = 20;
        this.introText.y = 60;
        
        this.diary.activeText = this.diary.addChild(this.introText);
        
        this.playerStyle = this.introText.addChild(makeCheckBoxList(this.game,['smooth talking','romantic','beautiful']));
        this.playerStyle.y = 150;
        
        this.playerClass = this.introText.addChild(makeCheckBoxList(this.game,['Knight','Wizard','Rogue']));
        this.playerClass.x = 280;
        this.playerClass.y = 150;
        
        lineHandler(this.game,this.introText,'...and seek out my one true nemesis.','pencilPete',270);
        lineHandler(this.game,this.introText,'                         Yours,','pencilPete',360); 
        
        var sig = this.introText.addChild(getSignatureField(this.game,this.nextState));
        sig.x = 280;
        sig.y = 390;
        
        textSequence(this.game,this.introText.children,3000); 
    },

    update: function () {
        
    },

    quitGame: function (pointer) {

        //  Here you should destroy anything you no longer need.
        //  Stop music, delete sprites, purge caches, free resources, all that good stuff.

        //  Then let's go back to the main menu.
        this.state.start('MainMenu');

    },
    
    nextState: function() {
        if (!this.playerClass.hasSelection() || !this.playerStyle.hasSelection()) {
            return;
        }
        this.phone.turnOn();
        this.state.start('Game Tutorial');
    },
    
    shutdown: function() {
        this.world.remove(this.game.data['phone']);
        this.world.remove(this.game.data['diary']);
    }

};

function getIntroText()
{
    var out = 'Dear diary,';
    out += '\n';
    out += 'Today, I become an adventurer.\n \n';
    out += 'I will start my life as a';
    return out;
}